! MMS file for building LOOKASIDE.EXE
!
!    19931221	JLWilkinson	jlw@psulias.psu.edu
!		adapted Foteos Macrides' UCX special handling for DECC
!    19931125	JLWilkinson	jlw@psulias.psu.edu
!		original version

GOPHERD_VERSION = 1.2VMS-1
.IFDEF DEC_C
OPTFILE = [-.optfiles]DECC.opt
.ELSE
OPTFILE = [-.optfiles]VAXC.opt
.ENDIF

.IFDEF DEBUG
LOOKASIDE_DEBUG = /debug/noopt
LOOKASIDE_EXE = [-.exe]lookaside_debug.exe
.ELSE
PRODUCTION = ok
LOOKASIDE_DEBUG = /nodebug
LOOKASIDE_EXE = [-.exe]lookaside.exe
.ENDIF

!==============================================================================

! The lookaside object file list
LOOKASIDE_OBJECT =-
 [-.obj]lookaside.obj,-
 [-.obj]compatible.obj

! Link the executables

$(LOOKASIDE_EXE) : $(LOOKASIDE_OBJECT) [-.optfiles]ident.opt $(OPTFILE)

.IFDEF DEC_C
	link $(LOOKASIDE_DEBUG) /exe=$(LOOKASIDE_EXE) /nonative-
 $(LOOKASIDE_OBJECT), [-.optfiles]ident/opt, $(OPTFILE)/opt
.ELSE
	link $(LOOKASIDE_DEBUG) /exe=$(LOOKASIDE_EXE)-
 $(LOOKASIDE_OBJECT), [-.optfiles]ident/opt, $(OPTFILE)/opt
.ENDIF
.IFDEF PRODUCTION
	@ write sys$output "PRODUCTION Lookaside Editor Built!"
.ELSE
	@ write sys$output "DEBUG Lookaside Editor Built!"
.ENDIF

!==============================================================================

! A default compilation procedure
.IFDEF DEC_C
.c.obj
	define/nolog C$USER_INCLUDE [-],[-.GOPHERD]
	define/nolog DECC$USER_INCLUDE [-],[-GOPHERD]
	cc$(PREFIX)/warning=(disable=implicitfunc)/object=[-.obj]\
			/define=($(TCPIP),SERVER) $<
.ELSE
.c.obj
	cc/include=([-],[-.gopherd])/object=[-.obj]/define=($(TCPIP),SERVER) $<
.ENDIF

! Define dependencies for all object files

[-.obj]compatible.obj : [-.gopherd]compatible.c [-.gopherd]malloc.h \
				[-.gopherd]stdlib.h [-.gopherd]compatible.h

[-.obj]lookaside.obj : lookaside.c [-.gopherd]gsgopherobj.h
.IFDEF DEC_C
	cc/warning=(disable=(implicitfunc,globalext))/tie/object=[-.obj]\
/include=([-],[-.gopherd]) $<
.ELSE
	cc/include=([-],[-.gopherd])/object=[-.obj] $<
.ENDIF
